#table-wrapper table th {
    white-space: nowrap !important;
}

#donvi-table tbody tr {
    transition: all 0.3s ease;
    cursor: pointer;
}

#donvi-table tbody tr:hover {
    background-color: rgba(16, 185, 129, 0.05);
    /* emerald-50/50 */
    transform: translateY(-1px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.03);
}

.select2-container--default .select2-selection--single {
    border-radius: 0.75rem !important;
    /* rounded-xl */
    border-color: #e2e8f0 !important;
    /* slate-200 */
    height: 40px !important;
    display: flex !important;
    align-items: center !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 38px !important;
    padding-left: 2.25rem !important;
    /* for icon space */
    font-size: 0.875rem !important;
    /* text-sm */
    color: #1e293b !important;
    /* slate-800 */
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 38px !important;
}

.select2-with-icon i {
    z-index: 10;
}